<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
<head>
    <meta charset="UTF-8"/>
    <title>Tests du module pem</title>
</head>
<body>
<p>L'application est lancée.</p>

<p>
    Au démarrage, l'utilisateur connecté est <span
        concordion:assertEquals="getUtilisateurConnected()">vide</span> et il
    y a <span concordion:assertEquals="getCountUsers()">0</span>
    utilisateur dans la base.
</p>
<h2>Test sur le super utilisateur</h2>
<ul>
    <li><a concordion:run="concordion"
           href="../identification/LoadUsers.html">On charge les
        utilisateurs </a></li>
    <li><a concordion:run="concordion"
           href="../identification/ConnexionAdmin.html">On connecte
        l'utilisateur adminTest </a></li>
    <li><a concordion:run="concordion" href="../menu/CheckMenu.html">On
        test les menus disponibles pour cet utilisateur</a></li>
    <li><a concordion:run="concordion"
           href="../notification/CheckNotification.html">On test les
        notifications pour cet utilisateur</a></li>
    <li><a concordion:run="concordion"
           href="../security/LoadAndCheckRefdataRights.html">On place les activities sur les données de référence pour
        testeurAuto</a></li>
    <li><a concordion:run="concordion"
           href="../identification/Deconnexion.html">On déconnecte
        l'utilisateur adminTest </a></li>
</ul>
<h2>Tests avec l'utilisateur testeurAuto</h2>
<ul>
    <li><a concordion:run="concordion"
           href="../identification/ConnexionTesteur.html">On connecte
        l'utilisateur testeurAuto </a></li>
    <li><a concordion:run="concordion" href="../menu/CheckUserMenu.html">On
        test les menus disponibles pour cet utilisateur</a></li>
    <li><a concordion:run="concordion"
           href="../refdata/LoadRefdata.html">On charge les données de
        référence</a></li>
    <li><a concordion:run="concordion"
           href="../identification/Deconnexion.html">On déconnecte
        l'utilisateur testeurAuto </a></li>

    <li><a concordion:run="concordion"
           href="../identification/ConnexionAdmin.html">On connecte
        l'utilisateur adminTest </a></li>
    <li><a concordion:run="concordion"
           href="../security/LoadAndCheckDatasetRights.html">On charge les activities pour les données de expérimentales
        de
        testeurAuto</a></li>
    <li><a concordion:run="concordion"
           href="../identification/Deconnexion.html">On déconnecte
        l'utilisateur adminTest </a></li>
    <li><a concordion:run="concordion"
           href="../identification/ConnexionTesteur.html">On connecte
        l'utilisateur testeurAuto </a></li>
    <li><a concordion:run="concordion"
           href="filecomp/LoadFiles.html">On charge les fichiers complémentaires</a></li>
    <li><a concordion:run="concordion"
           href="dataset/LoadDataset.html">On charge les fichiers de données</a></li>
    <li><a concordion:run="concordion"
           href="extraction/Extraction.html">On extrait les données</a></li>
    <li><a concordion:run="concordion"
           href="dataset/UnPublishDataset.html">On dépublie les données</a></li>
    <li><a concordion:run="concordion"
           href="dataset/UnLoadDataset.html">On supprime les fichiers
        déposés</a></li>
    <li><a concordion:run="concordion"
           href="../identification/Deconnexion.html">On déconnecte
        l'utilisateur testeurAuto </a></li>
</ul>
</body>
</html>